// ALL FANFICTIONS PAGES
.fanfiction-submit-btn {
    margin-left: 3vw;

    button {
        font-family: Comic Sans MS, sans serif;
        text-decoration: none;
        margin-right: 3vw;
        color: #f3d425;
        cursor: pointer;
        text-align: right;
        border-radius: 2px;
        background-color: #a77d33;
        background: linear-gradient(to bottom,#f30000 ,#293ab9  5%,#f30000  59%,#293ab9);
    }
}

.fanfiction-submit-btn:hover button {
    background: radial-gradient(circle,#f3d425 22%,#293ab9 83%,#f3d425);
    color: #293ab9;
}





// PAGE ALL FANFICTIONS
.fanfictions {
    .fanfiction {
        margin: 3vw 2vw;
        background-image: url(../images/paper.jpg);
        background-size: cover;
        padding: 20px 10px 20px 50px;

        h2 {
            font-family: American TypeWriter, sans serif;
            font-size: 1.6rem;
            background-color: #00214a;
            color: #f3d425;
            padding: 5px;
            margin-bottom: 10px;
            .fanfiction-author {
                font-family: Comic Sans MS, sans serif;
                font-size: 1rem;
                color: #f30000;
            }
        }

        .fanfiction-content {
            font-family: Comic Sans MS, sans serif;
        }

        .fanfiction-date {
            font-family: Comic Sans MS, sans serif;
            color: #293ab9;
        }
        .fanfiction-more {
            color: #293ab9;
        }
    }
}


// PAGE SINGLE FANFICION
.single-btn {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    margin: 2vw;
    .fanfiction-retour-btn {
        button {
            font-family: Comic Sans MS, sans serif;
            text-decoration: none;
            cursor: pointer;
            color: #293ab9;
            background-color: #f3d425;
            border: 5px solid #293ab9;
            border-bottom-color: #f30000;
            border-right-color: #f30000;
            border-radius: 20px;
        }
        button:hover {
            background-color: #f3d425;
            border: 5px solid #f30000;
            border-bottom-color: #293ab9;
            border-right-color: #293ab9;
        }
    } 
    .fanfiction-submit-btn {
        p {
            margin-right: 0;
        }
    }
}
.single-fanfiction {
    font-family: Comic Sans MS, sans serif;
    margin: 2vw 2vw 4vw 2vw;
    background-image: url('../images/paper2.jpg');
    background-size: contain;
    padding: 20px;
    h1 {
        margin-bottom: 4vw;
    }
    .single-author-date {
        background-color: #00214a;
        color: #f3d425;
        padding: 5px;
        margin-bottom: 2vw;
        width: fit-content;
    }
}

// PAGE SUBMIT FANFICTION
.form-fanfictions {
    background-image: url('../images/wood-frame.png');
    // background-color: #f3d425;
    background-size: cover;
    height: 800px;
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    form {
        width: 550px;
        padding: 0 0 50px 0;
        border: none;
        margin: 0;
        #fanfiction_submit_form {
            div:first-child {
                display: flex;
                flex-direction: column;
                align-items: center;
            }
            label {
                color: #293ab9;
            }
            #fanfiction_submit_form_title {
                margin-bottom: 20px;
            }
            #cke_fanfiction_submit_form_content {
                margin-bottom: 20px;
            }
        }
        .btn {
            font-family: Comic Sans MS, sans serif;
            background-color: #00214a;
            color: #f3d425;
            padding: 5px;
            border-radius: 2rem;
        }
        .btn:hover {
            background-color: #293ab9;
        }
    }
}